## org.apache.cassandra.io
Interface IColumnSerializer

All Superinterfaces:
  ISerializer<IColumn>

All Known Implementing Classes:
  ColumnSerializer

    public interface IColumnSerializer

extends ISerializer<IColumn>

Nested Class Summary
`static class` `IColumnSerializer.Flag` Flag affecting deserialization behavior.

Method Summary
`IColumn` `deserialize(java.io.DataInput in, IColumnSerializer.Flag flag, int expireBefore)`

Methods inherited from interface org.apache.cassandra.io.ISerializer
`deserialize, serialize, serializedSize`

Method Detail

### deserialize

    IColumn deserialize(java.io.DataInput in,
                        IColumnSerializer.Flag flag,
                        int expireBefore)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2012 The Apache Software Foundation